:root {
  --main-color: #23465f;
  --sub-color: #01acc8;
  --font-color: #23465f;
  --swiper-theme-color: #01acc8;
}

.theme-color-0, .theme-color-4, .theme-color-8 {
  --tw-bg-opacity: 1;
  background-color: rgba(239, 68, 68, var(--tw-bg-opacity));
}

.theme-color-1, .theme-color-5, .theme-color-9 {
  --tw-bg-opacity: 1;
  background-color: rgba(245, 158, 11, var(--tw-bg-opacity));
}

.theme-color-2, .theme-color-6, .theme-color-10 {
  --tw-bg-opacity: 1;
  background-color: rgba(59, 130, 246, var(--tw-bg-opacity));
}

.theme-color-3, .theme-color-7 {
  --tw-bg-opacity: 1;
  background-color: rgba(16, 185, 129, var(--tw-bg-opacity));
}

.text-theme-color-0, .text-theme-color-4, .text-theme-color-8 {
  --tw-bg-opacity: 1;
  color: rgba(239, 68, 68, var(--tw-bg-opacity));
}

.text-theme-color-1, .text-theme-color-5, .text-theme-color-9 {
  --tw-bg-opacity: 1;
  color: rgba(245, 158, 11, var(--tw-bg-opacity));
}

.text-theme-color-2, .text-theme-color-6, .text-theme-color-10 {
  --tw-bg-opacity: 1;
  color: rgba(59, 130, 246, var(--tw-bg-opacity));
}

.text-theme-color-3, .text-theme-color-7 {
  --tw-bg-opacity: 1;
  color: rgba(16, 185, 129, var(--tw-bg-opacity));
}

.border-l-theme-color-0, .border-l-theme-color-4, .border-l-theme-color-8 {
  --tw-bg-opacity: 1;
  border-left-color: rgba(239, 68, 68, var(--tw-bg-opacity)) !important;
}

.border-r-theme-color-0, .border-r-theme-color-4, .border-r-theme-color-8 {
  --tw-bg-opacity: 1;
  border-right-color: rgba(239, 68, 68, var(--tw-bg-opacity)) !important;
}

.border-l-theme-color-1, .border-l-theme-color-5, .border-l-theme-color-9 {
  --tw-bg-opacity: 1;
  border-left-color: rgba(245, 158, 11, var(--tw-bg-opacity)) !important;
}

.border-r-theme-color-1, .border-r-theme-color-5, .border-r-theme-color-9 {
  --tw-bg-opacity: 1;
  border-right-color: rgba(245, 158, 11, var(--tw-bg-opacity)) !important;
}

.border-l-theme-color-2, .border-l-theme-color-6, .border-l-theme-color-10 {
  --tw-bg-opacity: 1;
  border-left-color: rgba(59, 130, 246, var(--tw-bg-opacity)) !important;
}

.border-r-theme-color-2, .border-r-theme-color-6, .border-r-theme-color-10 {
  --tw-bg-opacity: 1;
  border-right-color: rgba(59, 130, 246, var(--tw-bg-opacity)) !important;
}

.border-l-theme-color-3, .border-l-theme-color-7 {
  --tw-bg-opacity: 1;
  border-left-color: rgba(16, 185, 129, var(--tw-bg-opacity)) !important;
}

.border-r-theme-color-3, .border-r-theme-color-7 {
  --tw-bg-opacity: 1;
  border-right-color: rgba(16, 185, 129, var(--tw-bg-opacity)) !important;
}

.bg-main-color {
  background-color: var(--main-color);
}

.text-font-color {
  color: var(--font-color);
}

.border-main-color {
  border-color: var(--main-color);
}

.bg-sub-color {
  background-color: var(--sub-color);
}

.text-sub-color {
  color: var(--sub-color);
}

.border-sub-color {
  border-color: var(--sub-color);
}

/*------scroll bar---------------------*/

::-webkit-scrollbar {
  width: 8px;
  height: 12px;
}

::-webkit-scrollbar-button {
  width: 0;
  height: 0;
}

::-webkit-scrollbar-thumb {
  background: #525965;
  border: 0 none #ffffff;
  border-radius: 0;
}

::-webkit-scrollbar-thumb:hover {
  background: #525965;
}

::-webkit-scrollbar-thumb:active {
  background: #525965;
}

::-webkit-scrollbar-track {
  background: transparent;
  border: 0 none #ffffff;
  border-radius: 50px;
}

::-webkit-scrollbar-track:hover {
  background: transparent;
}

::-webkit-scrollbar-track:active {
  background: transparent;
}

::-webkit-scrollbar-corner {
  background: transparent;
}

/*------scroll bar---------------------*/

/* start Admin */

body {
  overflow-x: hidden
}

.body {
  /*background-image: linear-gradient(-45deg, var(--main-color) 0%, var(--sub-color) 100%);*/
  background-repeat: no-repeat;
  background-size: cover;
  min-height: 100vh;
  padding: 0.5rem
}

@media (min-width: 1536px) {
  .body {
    padding: 3rem
  }
}

.app {
  --tw-bg-opacity: 1;
  background-color: rgba(249, 250, 251, var(--tw-bg-opacity));
  border-radius: 0.5rem;
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  overflow: hidden;
  width: 100%
}

.main {
  --tw-bg-opacity: 1;
  background-color: rgba(249, 250, 251, var(--tw-bg-opacity));
  width: 100%
}

@media (min-width: 768px) {
  .app {
    flex-direction: row
  }

  .main {
    width: 75%
  }
}

@media (min-width: 1280px) {
  .main {
    width: 83.333333%
  }
}

.content {
  margin-left: auto;
  margin-right: auto;
  padding-left: 0.5rem;
  padding-right: 0.5rem;
  width: 100%
}

@media (min-width: 1024px) {
  .content {
    padding: 0px;
    width: 91.666667%
  }
}

/* Start Login */

.is-invalid {
  --tw-border-opacity: 1;
  border-color: rgba(220, 38, 38, var(--tw-border-opacity));
  border-bottom-width: 1px
}

.card {
  /*@apply bg-white w-full shadow-2xl rounded-md p-8*/
}

.card-header {
  font-family: Roboto Condensed, sans-serif, Scheherazade, serif;
  font-weight: 700;
  font-size: 3.75rem;
  line-height: 1;
  margin-top: 2rem;
  margin-bottom: 2rem;
  text-align: center;
  letter-spacing: 0.05em;
  color: var(--font-color)
}

.card-body {
  display: grid;
  margin-left: 1.5rem;
  margin-right: 1.5rem;
  margin-top: 5rem;
  margin-bottom: 5rem;
  width: 83.333333%;
  gap: 1rem
}

.card-body .input-control {
  margin-top: 2rem
}

/* End Login */

li.separate {
  border-top-width: 1px;
  font-weight: 700;
  font-size: 0.75rem;
  line-height: 1rem;
  margin-top: 0.5rem;
  margin-bottom: 0.5rem;
  padding: 0.5rem;
  --tw-text-opacity: 1;
  color: rgba(156, 163, 175, var(--tw-text-opacity));
  width: 100%
}

li a, li button {
  display: flex;
  align-items: center;
  font-size: 0.875rem;
  line-height: 1.25rem;
  padding-top: 1.25rem;
  padding-bottom: 1.25rem
}

.nav {
  display: none;
  margin-top: 2.5rem
}

@media (min-width: 768px) {
  .nav {
    display: block !important;
  }

  .fa-times {
    display: none !important;
  }
}

#dropdown:checked + #sub-menu {
  display: block
}

#sub-menu {
  border-radius: 0.25rem;
  margin-top: 0.875rem;
  padding: 1rem;
  position: absolute;
  --tw-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);
  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);
  --tw-text-opacity: 1;
  color: rgba(255, 255, 255, var(--tw-text-opacity));
  width: 15rem;
  background-color: var(--sub-color)
}

/*#sub-menu ul li {*/

/*    @apply */

/*}*/

#sub-menu ul li a {
  display: flex;
  align-items: center;
  font-size: 0.875rem;
  line-height: 1.25rem;
  margin-top: 0.25rem;
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
  transition-duration: 300ms
}

#sub-menu ul li a:hover {
  --tw-bg-opacity: 1;
  background-color: rgba(243, 244, 246, var(--tw-bg-opacity));
  border-radius: 0.125rem;
  opacity: 0.7;
  --tw-text-opacity: 1;
  color: rgba(55, 65, 81, var(--tw-text-opacity))
}

#sub-menu svg {
  height: 1rem;
  margin-left: 0.5rem;
  margin-right: 0.5rem;
  width: 1rem
}

.sub-menu {
  --tw-bg-opacity: 1;
  background-color: rgba(75, 85, 99, var(--tw-bg-opacity));
  font-size: 0.875rem;
  line-height: 1.25rem;
  padding-left: 1rem;
  padding-right: 1rem;
  --tw-text-opacity: 1;
  color: rgba(243, 244, 246, var(--tw-text-opacity))
}

.fa-circle {
  font-size: 0.75rem;
  line-height: 1rem
}

/*.dropdown:hover .sub-menu{*/

/*    @apply block*/

/*}*/

.dataTables_wrapper {
  width: 100%
}

.table {
  --tw-bg-opacity: 1;
  background-color: rgba(255, 255, 255, var(--tw-bg-opacity));
  border-width: 1px;
  overflow: auto;
  --tw-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);
  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);
  white-space: nowrap;
  width: 100%
}

.table th,
.table td {
  text-align: center !important
}

.table th, .table td {
  border-width: 1px;
  font-size: 0.875rem;
  line-height: 1.25rem;
  padding-top: 1rem;
  padding-bottom: 1rem;
  padding-left: 1.5rem;
  padding-right: 1.5rem;
  --tw-text-opacity: 1;
  color: rgba(31, 41, 55, var(--tw-text-opacity));
}

.table th {
  font-weight: 700;
  font-size: 1rem;
  line-height: 1.5rem;
  color: var(--font-color)
}

.table tr {
  transition-duration: 300ms
}

.table tr:hover {
  --tw-bg-opacity: 1;
  background-color: rgba(229, 231, 235, var(--tw-bg-opacity))
}

.mdc-data-table {
  background-color: transparent;
  border-width: 0px
}

.form-control {
  border-width: 1px;
  padding-left: 1rem;
  padding-right: 1rem;
  padding-top: 0.375rem;
  padding-bottom: 0.375rem
}

.form-control:focus, .form-control:active {
  outline: 2px solid transparent;
  outline-offset: 2px;
  --tw-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);
  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);
}

.mdc-button--raised:not(:disabled), .mdc-button--unelevated:not(:disabled), .paginate_button.current {
  border-radius: 0.125rem;
  padding-top: 0.25rem;
  padding-bottom: 0.25rem;
  padding-left: 0.75rem;
  padding-right: 0.75rem;
  --tw-text-opacity: 1;
  color: rgba(255, 255, 255, var(--tw-text-opacity));
  background-color: var(--sub-color)
}

.mdc-layout-grid__inner {
  display: flex;
  justify-content: space-between
}

.mdc-layout-grid__cell--span-12, .mdc-layout-grid__cell--span-12-desktop {
  width: 100%
}

.no-data {
  display: flex;
  justify-content: center
}

.info {
  cursor: pointer;
  display: inline-block;
  margin-left: 0.5rem;
  margin-right: 0.5rem;
  transition-duration: 300ms;
  color: var(--font-color)
}

.info:hover {
  font-weight: 700
}

.edit {
  display: inline-block;
  --tw-text-opacity: 1;
  color: rgba(5, 150, 105, var(--tw-text-opacity));
  transition-duration: 300ms
}

.edit:hover {
  font-weight: 700;
  --tw-text-opacity: 1;
  color: rgba(4, 120, 87, var(--tw-text-opacity))
}

.delete {
    display: inline-block;
    --tw-text-opacity: 1;
    color: rgba(150, 5, 105, var(--tw-text-opacity));
    transition-duration: 300ms
}

.delete:hover {
    font-weight: 700;
    --tw-text-opacity: 1;
    color: rgba(120, 4, 87, var(--tw-text-opacity))
}

svg {
  height: 1.25rem;
  width: 1.25rem
}

button:focus {
  outline: 2px solid transparent;
  outline-offset: 2px;
  --tw-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);
  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow)
}

.btn-end {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  margin-left: 0.25rem;
  margin-right: 0.25rem
}

.btn {
  border-radius: 0.375rem;
  border-width: 1px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-family: Roboto Condensed, sans-serif, Scheherazade, serif;
  margin-left: 0.5rem;
  margin-right: 0.5rem;
  margin-top: 1rem;
  margin-bottom: 1rem;
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
  padding-left: 1rem;
  padding-right: 1rem;
  letter-spacing: 0.025em;
  transition-duration: 300ms
}

.btn:focus, .btn:active {
  outline: 2px solid transparent;
  outline-offset: 2px;
  --tw-shadow: 0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);
  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);
}

.btn-main {
  --tw-text-opacity: 1;
  color: rgba(255, 255, 255, var(--tw-text-opacity));
  background-color: var(--main-color);
  border-color: var(--main-color)
}

.btn-main:hover {
  background-color: transparent;
  --tw-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);
  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);
  color: var(--font-color)
}

.btn-secondary {
  --tw-bg-opacity: 1;
  background-color: rgba(107, 114, 128, var(--tw-bg-opacity));
  --tw-border-opacity: 1;
  border-color: rgba(107, 114, 128, var(--tw-border-opacity));
  --tw-text-opacity: 1;
  color: rgba(255, 255, 255, var(--tw-text-opacity))
}

.btn-secondary:hover {
  background-color: transparent;
  --tw-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);
  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);
  --tw-text-opacity: 1;
  color: rgba(75, 85, 99, var(--tw-text-opacity))
}

.btn-success {
  --tw-bg-opacity: 1;
  background-color: rgba(5, 150, 105, var(--tw-bg-opacity));
  --tw-border-opacity: 1;
  border-color: rgba(5, 150, 105, var(--tw-border-opacity));
  --tw-text-opacity: 1;
  color: rgba(255, 255, 255, var(--tw-text-opacity))
}

.btn-success:hover {
  background-color: transparent;
  --tw-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);
  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);
  --tw-text-opacity: 1;
  color: rgba(5, 150, 105, var(--tw-text-opacity))
}

.btn-danger {
  --tw-bg-opacity: 1;
  background-color: rgba(220, 38, 38, var(--tw-bg-opacity));
  --tw-border-opacity: 1;
  border-color: rgba(220, 38, 38, var(--tw-border-opacity));
  padding: 0.5rem;
  --tw-text-opacity: 1;
  color: rgba(255, 255, 255, var(--tw-text-opacity))
}

.btn-danger:hover {
  background-color: transparent;
  --tw-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);
  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);
  --tw-text-opacity: 1;
  color: rgba(220, 38, 38, var(--tw-text-opacity))
}

.btn-sub {
  background-image: linear-gradient(-45deg, var(--main-color) 0%, var(--sub-color) 100%);
  position: relative;
  background-repeat: no-repeat;
  background-size: cover;
  --tw-text-opacity: 1;
  color: rgba(255, 255, 255, var(--tw-text-opacity));
  background-color: var(--sub-color);
  border-color: var(--sub-color)
}

.btn-sub:hover {
  background-image: none;
  background-color: transparent;
  --tw-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);
  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);
  color: var(--font-color)
}

.btn-main-light {
  background-color: transparent;
  color: var(--font-color);
  border-color: var(--main-color)
}

.btn-main-light:hover {
  --tw-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);
  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);
  --tw-text-opacity: 1;
  color: rgba(255, 255, 255, var(--tw-text-opacity));
  background-color: var(--main-color)
}

.form > :not([hidden]) ~ :not([hidden]) {
  --tw-space-y-reverse: 0;
  margin-top: calc(1.5rem * calc(1 - var(--tw-space-y-reverse)));
  margin-bottom: calc(1.5rem * var(--tw-space-y-reverse));
}

.form {
  --tw-bg-opacity: 1;
  background-color: rgba(255, 255, 255, var(--tw-bg-opacity));
  --tw-border-opacity: 1;
  border-color: rgba(249, 250, 251, var(--tw-border-opacity));
  border-radius: 0.5rem;
  border-width: 1px;
  margin-top: 5rem;
  margin-bottom: 5rem;
  margin-left: auto;
  margin-right: auto;
  overflow: hidden;
  padding: 1.5rem;
  --tw-shadow: 0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);
  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);
  width: 100%;
}

@media (min-width: 1280px) {
  .form {
    width: 91.666667%
  }
}

@media (min-width: 1536px) {
  .form {
    width: 80%
  }
}

.separate-line {
  margin-top: 2rem;
  margin-bottom: 2rem;
  margin-left: auto;
  margin-right: auto;
  width: 100%
}

.input-group, .input-group-3 {
  display: grid;
  align-items: baseline;
  margin-left: auto;
  margin-right: auto;
  width: 100%;
  gap: 4rem;
  grid-template-columns: repeat(1, minmax(0, 1fr))
}

.input-group-5 {
  display: grid;
  align-items: baseline;
  margin-left: auto;
  margin-right: auto;
  width: 100%;
  -moz-column-gap: 2rem;
       column-gap: 2rem;
  row-gap: 4rem;
  grid-template-columns: repeat(2, minmax(0, 1fr))
}

@media (min-width: 640px) {
  .input-group, .input-group-3 {
    grid-template-columns: repeat(2, minmax(0, 1fr))
  }

  .input-group-5 {
    grid-template-columns: repeat(3, minmax(0, 1fr))
  }
}

@media (min-width: 1024px) {
  .separate-line {
    width: 83.333333%
  }

  .input-group-3 {
    width: 83.333333%;
    -moz-column-gap: 2rem;
         column-gap: 2rem;
    grid-template-columns: repeat(3, minmax(0, 1fr))
  }

  .input-group, .input-group-5 {
    width: 83.333333%
  }
}

@media (min-width: 1280px) {
  .input-group-5 {
    grid-template-columns: repeat(4, minmax(0, 1fr))
  }
}

@media (min-width: 1536px) {
  .input-group-5 {
    grid-template-columns: repeat(4, minmax(0, 1fr))
  }
}

.div-input {
  border-radius: 0.25rem;
  border-width: 1px;
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
  padding-left: 1rem;
  padding-right: 1rem;
  position: relative;
    border-color: var(--sub-color);
}

.div-input:focus-within {
  border-color: var(--sub-color)
}

.input {
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
  background-color: transparent;
  display: block;
  padding-left: 0.25rem;
  padding-right: 0.25rem;
  width: 100%
}

.input:focus {
  outline: 2px solid transparent;
  outline-offset: 2px
}

.label {
  --tw-bg-opacity: 1;
  background-color: rgba(255, 255, 255, var(--tw-bg-opacity));
  font-family: ui-sans-serif, system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  font-size: 0.875rem;
  line-height: 1.25rem;
  padding-left: 0.5rem;
  padding-right: 0.5rem;
  position: absolute;
  top: 0.5rem;
  transition-duration: 300ms
}

@media (min-width: 1024px) {
  .label {
    font-size: 1rem;
    line-height: 1.5rem
  }
}

input:not(:-moz-placeholder-shown) ~ .label, select:not(:-moz-placeholder-shown) ~ .label, textarea:not(:-moz-placeholder-shown) ~ .label {
  font-weight: 600;
  font-size: 0.75rem;
  line-height: 1rem;
  letter-spacing: 0.05em;
  --tw-translate-x: 0;
  --tw-translate-y: 0;
  --tw-rotate: 0;
  --tw-skew-x: 0;
  --tw-skew-y: 0;
  --tw-scale-x: 1;
  --tw-scale-y: 1;
  transform: translateX(var(--tw-translate-x)) translateY(var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
  --tw-translate-y: -1rem;
  color: var(--sub-color);
}

input:not(:-ms-input-placeholder) ~ .label, select:not(:-ms-input-placeholder) ~ .label, textarea:not(:-ms-input-placeholder) ~ .label {
  font-weight: 600;
  font-size: 0.75rem;
  line-height: 1rem;
  letter-spacing: 0.05em;
  --tw-translate-x: 0;
  --tw-translate-y: 0;
  --tw-rotate: 0;
  --tw-skew-x: 0;
  --tw-skew-y: 0;
  --tw-scale-x: 1;
  --tw-scale-y: 1;
  transform: translateX(var(--tw-translate-x)) translateY(var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
  --tw-translate-y: -1rem;
  color: var(--sub-color);
}

input:focus-within ~ .label, input:not(:placeholder-shown) ~ .label, select:focus-within ~ .label, select:not(:placeholder-shown) ~ .label, textarea:focus-within ~ .label, textarea:not(:placeholder-shown) ~ .label {
  font-weight: 600;
  font-size: 0.75rem;
  line-height: 1rem;
  letter-spacing: 0.05em;
  --tw-translate-x: 0;
  --tw-translate-y: 0;
  --tw-rotate: 0;
  --tw-skew-x: 0;
  --tw-skew-y: 0;
  --tw-scale-x: 1;
  --tw-scale-y: 1;
  transform: translateX(var(--tw-translate-x)) translateY(var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
  --tw-translate-y: -1rem;
  color: var(--sub-color);
}

input:focus-within ~ .label, select:focus-within ~ .label, textarea:focus-within ~ .label {
  color: var(--sub-color);
}

.label-text {
  color: var(--main-color) !important;
  font-family: Roboto, sans-serif, Scheherazade, serif
}

.Notes {
  margin-top: 3rem !important;
}

.error_msg {
  --tw-bg-opacity: 1;
  background-color: rgba(254, 226, 226, var(--tw-bg-opacity));
  --tw-border-opacity: 1;
  border-color: rgba(220, 38, 38, var(--tw-border-opacity));
  border-left-width: 8px;
  display: flex;
  font-size: 0.75rem;
  line-height: 1rem;
  margin-top: 0.5rem;
  margin-bottom: 0.5rem;
  padding: 0.5rem;
  width: 100%
}

.input--switch[type=checkbox] {
  width: 38px;
  outline: 2px solid transparent;
  outline-offset: 2px;
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
  --tw-border-opacity: 1;
  border-color: rgba(209, 213, 219, var(--tw-border-opacity));
  border-radius: 9999px;
  cursor: pointer;
  height: 1.5rem;
  padding: 1px;
  position: relative;
  --tw-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);
  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow)
}

.input--switch[type=checkbox]:before {
  content: "";
  width: 22px;
  height: 22px;
  transition: all .2s ease-in-out;
  box-shadow: 1px 1px 3px rgba(0, 0, 0, .25);
  border-radius: 9999px;
  margin-top: auto;
  margin-bottom: auto;
  position: absolute;
  top: 0;
  bottom: 0;
}

.input--switch[type=checkbox]:checked {
  background-color: var(--sub-color);
  border-color: var(--sub-color)
}

.input--switch[type=checkbox]:checked:before {
  margin-left: 13px;
  --tw-bg-opacity: 1;
  background-color: rgba(255, 255, 255, var(--tw-bg-opacity));
}

.badge {
  border-radius: 9999px;
  display: inline-block;
  font-size: 0.75rem;
  line-height: 1rem;
  padding-left: 0.25rem;
  padding-right: 0.25rem;
  padding-top: 0.125rem;
  padding-bottom: 0.125rem;
  --tw-text-opacity: 1;
  color: rgba(255, 255, 255, var(--tw-text-opacity))
}

.badge-success {
  --tw-bg-opacity: 1;
  background-color: rgba(16, 185, 129, var(--tw-bg-opacity))
}

.badge-primary {
  --tw-bg-opacity: 1;
  background-color: rgba(59, 130, 246, var(--tw-bg-opacity))
}

.badge-warning {
  --tw-bg-opacity: 1;
  background-color: rgba(245, 158, 11, var(--tw-bg-opacity))
}

.badge-danger {
  --tw-bg-opacity: 1;
  background-color: rgba(239, 68, 68, var(--tw-bg-opacity))
}

.modal {
  transition: opacity 0.25s ease;
}

body.modal-active {
  overflow-x: hidden;
  overflow-y: visible !important;
}

.modal-dialog {
  align-items: center;
  justify-content: center;
  outline: 2px solid transparent;
  outline-offset: 2px;
  overflow-y: auto;
  position: fixed;
  top: 0px;
  right: 0px;
  bottom: 0px;
  left: 0px;
  z-index: 50
}

.modal-dialog-w {
  margin-left: auto;
  margin-right: auto;
  width: 100%
}

@media (min-width: 768px) {
  .modal-dialog-w {
    width: 40%
  }
}

.modal-content {
  --tw-bg-opacity: 1;
  background-color: rgba(255, 255, 255, var(--tw-bg-opacity));
  border-width: 0px;
  display: flex;
  flex-direction: column;
  outline: 2px solid transparent;
  outline-offset: 2px;
  position: relative;
  width: 100%
}

.modal-header {
  --tw-border-opacity: 1;
  border-color: rgba(209, 213, 219, var(--tw-border-opacity));
  border-top-left-radius: 0.25rem;
  border-top-right-radius: 0.25rem;
  border-style: solid;
  border-bottom-width: 1px;
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
  padding: 1.25rem
}

.modal-body {
  padding: 1.5rem;
  position: relative
}

@media (min-width: 768px) {
  .modal-body .input {
    margin-left: auto;
    margin-right: auto
  }
}

.modal-footer {
  --tw-border-opacity: 1;
  border-color: rgba(209, 213, 219, var(--tw-border-opacity));
  border-bottom-right-radius: 0.25rem;
  border-bottom-left-radius: 0.25rem;
  border-style: solid;
  border-top-width: 1px;
  display: flex;
  align-items: center;
  justify-content: flex-end
}

.photo {
  font-weight: 700;
  transition-property: background-color, border-color, color, fill, stroke, opacity, box-shadow, transform;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  transition-duration: 150ms;
  transition-duration: 300ms
}

.photo:hover {
  text-decoration: underline;
  color: var(--sub-color)
}

.card-dash {
  --tw-bg-opacity: 1;
  background-color: rgba(255, 255, 255, var(--tw-bg-opacity));
  --tw-border-opacity: 1;
  border-color: rgba(243, 244, 246, var(--tw-border-opacity));
  border-radius: 0.75rem;
  display: flex;
  align-items: center;
  justify-content: space-between;
  height: 8rem;
  --tw-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);
  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow)
}

@media (min-width: 1536px) {
  .w-5\/8 {
    width: 87% !important;
  }
}

.btn-search {
  border-radius: 9999px;
  border-width: 1px;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 2.25rem;
  position: absolute;
  top: 0.125rem;
  --tw-text-opacity: 1;
  color: rgba(255, 255, 255, var(--tw-text-opacity));
  width: 2.25rem;
  transition-duration: 300ms;
  background-color: var(--sub-color);
  border-color: var(--sub-color)
}

.btn-search:hover {
  background-color: transparent;
  --tw-border-opacity: 1;
  border-color: rgba(147, 197, 253, var(--tw-border-opacity));
  --tw-text-opacity: 1;
  color: rgba(31, 41, 55, var(--tw-text-opacity))
}

/*Checkboxes styles*/

.d-checkbox {
  display: none;
}

.d-checkbox + label {
  display: block;
  position: relative;
  margin-bottom: 20px;
  padding: 0 30px;
  font: 13px/20px 'Open Sans', Arial, sans-serif;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
}

.d-checkbox + label:last-child {
  margin-bottom: 0;
}

.d-checkbox + label:before {
  content: "";
  display: block;
  width: 20px;
  height: 20px;
  border: 1px solid var(--sub-color);
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  opacity: .6;
  transition: all .12s, border-color .08s;
}

.d-checkbox:checked + label:before {
  width: 10px;
  top: -5px;
  left: 5px;
  right: 0;
  border-radius: 0;
  opacity: 1;
  border-top-color: transparent;
  border-left-color: transparent;
  transform: rotate(45deg);
}

.opacity {
  opacity: 1 !important;
}

.labelCheckbox {
  opacity: .6;
}

.dataTables_paginate {
  margin-top: 0.75rem;
  margin-bottom: 0.75rem
}

.paginate_button {
  cursor: pointer;
  margin-left: 0.75rem;
  margin-right: 0.75rem
}

.dataTables_length, .dataTables_info {
  float: left
}

.dataTables_length select {
  border-width: 1px;
  padding-top: 0.25rem;
  padding-bottom: 0.25rem;
  padding-left: 0.5rem;
  padding-right: 0.5rem
}

.dataTables_filter input {
  border-width: 1px;
  margin-bottom: 1rem;
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
  padding-left: 1rem;
  padding-right: 1rem
}

.rtl .owl-carousel .owl-stage {
  transform: translate3d(0, 0px, 0px) !important;
}

.input-flex {
  display: flex;
  flex-wrap: wrap;
  margin-top: 1rem;
  margin-bottom: 1rem;
  width: 100%
}

.input-flex > div {
  margin-top: 0.5rem;
  margin-bottom: 0.5rem;
  width: 100%
}

@media (min-width: 640px) {
  .input-flex > div {
    width: 11rem
  }
}

.show-tab {
  display: grid;
  margin-top: 1.5rem;
  width: 100%;
  -moz-column-gap: 4rem;
       column-gap: 4rem;
  row-gap: 1rem;
  grid-template-columns: repeat(1, minmax(0, 1fr))
}

@media (min-width: 640px) {
  .show-tab {
    grid-template-columns: repeat(2, minmax(0, 1fr))
  }
}

.input-price {
  --tw-border-opacity: 1;
  border-color: rgba(156, 163, 175, var(--tw-border-opacity));
  border-width: 1px;
  font-size: 0.875rem;
  line-height: 1.25rem;
  padding-left: 0.5rem;
  padding-right: 0.5rem;
  padding-top: 0.375rem;
  padding-bottom: 0.375rem;
  width: 5rem
}

.profile-info > div{
  display: flex
}

.profile-info > div p {
  margin-left: 0.5rem;
  margin-right: 0.5rem
}

.select2-container--default .select2-selection--single {
  border-width: 0px !important
}

.select2-container--open .select2-dropdown--below {
  --tw-border-opacity: 1 !important;
  border-color: rgba(229, 231, 235, var(--tw-border-opacity)) !important;
  border-width: 1px !important;
  --tw-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25) !important;
  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow) !important;
}

/* end Admin */


